### Function

# GioUnix mount_get_options

deprecated: 2.84 since: 2.58

#### Declaration [src]

    const char*
    g_unix_mount_get_options (
      GUnixMountEntry* mount_entry
    )

#### Description [src]

Gets a comma separated list of mount options for the Unix mount.

For example: `rw,relatime,seclabel,data=ordered`.

This is similar to `g_unix_mount_point_get_options()`, but it takes a `GUnixMountEntry` as an argument.

Available since: 2.58

Deprecated since: 2.84

Use `g_unix_mount_entry_get_options()` instead.

#### Parameters

`mount_entry`

  Type: `GUnixMountEntry`

  A `GUnixMountEntry`.

  The data is owned by the caller of the function.

#### Return value

Type: `const char*`

A string containing the options, or `NULL` if not available.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.